gtkmm 2.4: Gtk::OptionMenu Class Reference

Main Page Widgets Namespaces Book

# Gtk::OptionMenu Class Reference

Inheritance diagram for Gtk::OptionMenu:

[legend]
List of all members.

## Detailed Description

A widget used to choose from a list of valid choices.

A Gtk::OptionMenu is a widget that allows the user to choose from a list of valid choices. The Gtk::OptionMenu displays the selected choice. When activated the GtkOptionMenu displays a popup Gtk::Menu which allows the user to make a new choice.

Deprecated:
  Use the ComboBox widget instead.

## Public Member Functions
int | get_history () const
| Retrieves the index of the currently selected menu item.
const Menu* | get_menu () const
Menu* | get_menu ()
const GtkOptionMenu* | gobj () const
| Provides access to the underlying C GtkObject.
GtkOptionMenu* | gobj ()
| Provides access to the underlying C GtkObject.
| OptionMenu ()
void | remove_menu ()
void | set_history (guint index)
void | set_menu (Menu& menu)
Glib::SignalProxy0<void> | signal_changed ()
virtual | ~OptionMenu ()
## Protected Member Functions
virtual void | on_changed ()
## Related Functions
(Note that these are not member functions.)
Gtk::OptionMenu* | wrap (GtkOptionMenu* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::OptionMenu::~OptionMenu | ( |  | ) | `[virtual]`

Gtk::OptionMenu::OptionMenu | ( |  | ) |

## Member Function Documentation

int Gtk::OptionMenu::get_history | ( |  | ) | const

| Retrieves the index of the currently selected menu item. The menu items are numbered from top to bottom, starting with 0. Returns: Index of the selected menu item, or -1 if there are no menu items Deprecated: Use Gtk::ComboBox instead.

const Menu* Gtk::OptionMenu::get_menu | ( |  | ) | const

Menu* Gtk::OptionMenu::get_menu | ( |  | ) |

const GtkOptionMenu* Gtk::OptionMenu::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Button.

GtkOptionMenu* Gtk::OptionMenu::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Button.

virtual void Gtk::OptionMenu::on_changed | ( |  | ) | `[protected, virtual]`

void Gtk::OptionMenu::remove_menu | ( |  | ) |

void Gtk::OptionMenu::set_history | ( | guint | index | ) |

void Gtk::OptionMenu::set_menu | ( | Menu& | menu | ) |

Glib::SignalProxy0<void> Gtk::OptionMenu::signal_changed | ( |  | ) |

## Friends And Related Function Documentation

Gtk::OptionMenu* wrap | ( | GtkOptionMenu* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- optionmenu.h